/**
 * Interface for a generic map.
 *
 * @author Anna
 * @version 1.0
 */
public interface MyMap<K,V> {
    /**
     * Associates a value with a key
     *
     * @param k key
     * @param v value
     * @return if key was already associated with a value return
     * it, otherwise null.
     */
    public V put(K key, V value);
    
    /**
     *  Retrieves a value associated with a key. 
     *  @param k key
     *  @return the value associated with that key, null if 
     *  key not present in the map.
     */
    public V get(K key);
    
    
    /**
     * Removes mapping associated with that key.
     * @param k key
     * @return the value associated with that key, or null if none
     */
    public V remove(K key);
    
    
    /**
     * Returns the number of key value pairs in the map.
     * @return number of key value pairs
     */
    public int size();
   
}
